## TeplPanel TeplPanel — Side or bottom panel interface |

## Functions

void | tepl_panel_add ()
void | tepl_panel_remove ()
void | tepl_panel_set_active ()

## Types and Values

| TeplPanel
struct | TeplPanelInterface

## Object Hierarchy

        GInterface
        ╰── TeplPanel

## Prerequisites

TeplPanel requires GObject.

## Known Implementations

TeplPanel is implemented by TeplPanelSimple.

## Includes

    #include <tepl/tepl.h>

## Description

TeplPanel represents a panel that is usually shown on the side or at the bottom (inside a main window), and can contain several items.

## Functions

### tepl_panel_add ()

    void
    tepl_panel_add (TeplPanel *panel,
                    TeplPanelItem *item);

Adds an item to the panel.

#### Parameters

panel | a TeplPanel. |
item | a TeplPanelItem. |

Since: 6.11

### tepl_panel_remove ()

    void
    tepl_panel_remove (TeplPanel *panel,
                       TeplPanelItem *item);

Removes an item from the panel.

#### Parameters

panel | a TeplPanel. |
item | the TeplPanelItem to remove. |

Since: 6.8

### tepl_panel_set_active ()

    void
    tepl_panel_set_active (TeplPanel *panel,
                           TeplPanelItem *item);

Sets `item` to be the one that is currently shown in `panel` .

Only one TeplPanelItem is shown at a time in a TeplPanel.

#### Parameters

panel | a TeplPanel. |
item | a TeplPanelItem. | [nullable]

Since: 6.8

## Types and Values

### TeplPanel

    typedef struct _TeplPanel TeplPanel;

### struct TeplPanelInterface

    struct TeplPanelInterface {
    	GTypeInterface parent_interface;

    	void (*add)		(TeplPanel     *panel,
    				 TeplPanelItem *item);

    	void (*remove) (TeplPanel     *panel,
    				 TeplPanelItem *item);

    	void (*set_active) (TeplPanel     *panel,
    				 TeplPanelItem *item);
    };

The virtual function table for TeplPanel.

#### Members

GTypeInterface `parent_interface`; | The parent interface. |
`add` () | The virtual function pointer for `tepl_panel_add()`. By default, does nothing. |
`remove` () | The virtual function pointer for `tepl_panel_remove()`. By default, does nothing. |
`set_active` () | The virtual function pointer for `tepl_panel_set_active()`. By default, does nothing. |

Since: 6.8